Skip to Content

SAPUI5 version

Hi All,

My eclipse SAPUI5 version is 1.40.9 and SAP system SAPUI5 version is 1.22.3.

We deploy our SAPUI5 applications as BSP applications on ABAP server(SAP System). Since we used a higher version in eclipse, few controls were not working properly when the application is deployed on SAP system since it is a lower version.

To fix this issue, i change the URL of sap-ui-core.js from resources/sap-ui-core.js to

https://sapui5.netweaver.ondemand.com/resources/sap-ui-core.js . Then the BSP application worked properly on ABAP server(SAP System).

Since we are using a web url to load sap-ui-core.js it is taking lot of time to load the application initial page.

1. Is there a way we can avoid using the web url to load the sap-ui-core.js library?

2. Also please suggest what is the best solution to go with in this case if there is a version difference.

3. How to patch up latest libraries in the SAP UI5 application project while deploying as a BSP application if the sap system is a lower version?

Thanks In Advance,

Sravan

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Apr 14, 2017 at 11:13 AM

    just upgrade your system, no other way.

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    May 02, 2017 at 07:22 AM

    System upgrade is required.

    Add comment
    10|10000 characters needed characters exceeded

  • Dec 11, 2017 at 08:53 AM

    Hi Sravan,

    Yes there is a way for this. I have faced the same problem and version difference creates problem.

    To Prevent this replace your core.js with the following path

    Get the host and port of your SAP System

    http://<host>:<port>/sap/public/bc/ui5_ui5/1.22.3/resources/sap-ui-core.js

    if you are running from eclipse use proxy

    proxy/http/<host>:<port>/sap/public/bc/ui5_ui5/1.22.3/resources/sap-ui-core.js

    Note: You can replace with any available version in your SAP system instead of 1.22.3

    URL to find the list of sap UI5 version available in ECC. http://<host>:<port>/sap/public/bc/ui5_ui5/index.html

    Add comment
    10|10000 characters needed characters exceeded